@import 'css/variables';

$coa-dark-gray-100: #26385b;
$coa-grey-100: #728099;
$header-background: $coa-white-100;
$header-height: 3.75rem;
$background-color: #f1f5f9;
$coa-medium-gray: #525b6b;
$coa-light-grey-100: #9ca6b8;

.audit__header {
  padding: 0.6875rem 1.6487rem;
  height: $header-height;
  display: flex;
  align-items: center;
  background-color: $header-background;
}

.audit__header__image {
  width: 18.125rem;
  height: 2.375rem;
}

.audit__main {
  background: #f1f5f9;
  min-height: calc(100vh - $header-height);
  padding: 1.9375rem 1.5625rem;
  display: flex;
  column-gap: 1.25rem;
}

.audit__main * {
  font-family: 'Rubik', sans-serif;
}

.audit__aside {
  width: 18.6875rem;
  overflow: hidden;
  padding-inline: 1.5625rem;
  position: absolute;
  left: 0;

  @media only screen and (max-width: 1380px) {
    background: #f1f5f9;
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
    z-index: 20;
    width: 100%;
    padding: 1rem;
  }

  transition: all 0.35s ease-in-out;
  -webkit-transition: all 0.35s ease-in-out;
  -moz-transition: all 0.35s ease-in-out;
  -ms-transition: all 0.35s ease-in-out;
  -o-transition: all 0.35s ease-in-out;
  transform: translateX(0);
  -webkit-transform: translateX(0);
  -moz-transform: translateX(0);
  -ms-transform: translateX(0);
  -o-transform: translateX(0);
}

.audit__aside.--collapsed {
  transform: translateX(-110%);
  -webkit-transform: translateX(-110%);
  -moz-transform: translateX(-110%);
  -ms-transform: translateX(-110%);
  -o-transform: translateX(-110%);
}

.audit__aside__title {
  color: $coa-primary;
  font-size: 1.5rem;
  font-style: normal;
  font-weight: 500;
  line-height: normal;
  letter-spacing: -0.5px;
  margin-bottom: 1.25rem;
  position: relative;
}

.audit__aside__title::after {
  position: absolute;
  content: '';
  display: block;
  width: 30px;
  height: 5px;
  background: $coa-primary;
  bottom: -10px;
  left: 0;
  border-radius: 3px;
  -webkit-border-radius: 3px;
  -moz-border-radius: 3px;
  -ms-border-radius: 3px;
  -o-border-radius: 3px;
}

.audit__aside__description {
  color: $coa-dark-gray-100;
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 19px;
}

.audit__divider {
  background: #9ca6b8;
  height: 0.0625rem;
  margin-block: 1.5rem;
}

.audit__stepper {
  position: relative;
  list-style-type: none;
  margin: 0;
  counter-reset: item;
  display: flex;
  flex-direction: column;
  row-gap: 1.5rem;
}

.audit__stepper__item {
  padding-left: 16px;
  display: flex;
  flex-direction: column;
  row-gap: 0.5rem;
}

.audit__stepper__item::before {
  content: counter(item);
  counter-increment: item;
  position: absolute;
  left: 0;
  color: $coa-primary;
  border: solid 1.5px;
  border-radius: 50%;
  -webkit-border-radius: 50%;
  -moz-border-radius: 50%;
  -ms-border-radius: 50%;
  -o-border-radius: 50%;
  width: 1.875rem;
  height: 1.875rem;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 0.875rem;
  font-style: normal;
  font-weight: 500;
  line-height: normal;
}

.audit__stepper__title {
  color: $coa-primary;
  font-size: 0.875rem;
  font-style: normal;
  font-weight: 500;
  line-height: normal;
}

.audit__stepper__description {
  color: $coa-grey-100;
  font-size: 0.875rem;
  font-style: italic;
  font-weight: 300;
  line-height: normal;
}

.audit__content {
  flex: 1;
  background: $coa-white-100;
  border-radius: 10px;
  -webkit-border-radius: 10px;
  -moz-border-radius: 10px;
  -ms-border-radius: 10px;
  -o-border-radius: 10px;
  padding: 1.5rem;
  margin-left: 18.6875rem;
  overflow-x: hidden;
  display: grid;
  grid-template-areas:
    'collapseAsideButton collapseAsideButton'
    'gap1                gap1'
    'selector            selector'
    'gap2                gap2'
    'versionToAudit      previousVersion'
    'collapseCodeButton  collapseCodeButton'
    'gap3                gap3'
    'mergedVersion       mergedVersion';
  grid-template-rows: max-content 1.5981rem max-content 1.8281rem max-content max-content 1.1563rem max-content;
  grid-template-columns: 1fr 1fr;
  column-gap: 1.5rem;

  @media only screen and (max-width: 1380px) {
    grid-template-areas:
      'collapseAsideButton collapseAsideButton'
      'gap1                gap1'
      'selector            selector'
      'gap2                gap2'
      'versionToAudit      versionToAudit'
      'gap3                gap3'
      'previousVersion     previousVersion'
      'collapseCodeButton  collapseCodeButton'
      'gap4                gap4'
      'mergedVersion       mergedVersion';
    grid-template-rows: max-content 1.5981rem max-content 1.8281rem max-content 1.1875rem max-content max-content 1.1563rem max-content;
    grid-template-columns: 1fr 1fr;
  }

  transition: margin-left 0.35s ease-in-out;
  -webkit-transition: margin-left 0.35s ease-in-out;
  -moz-transition: margin-left 0.35s ease-in-out;
  -ms-transition: margin-left 0.35s ease-in-out;
  -o-transition: margin-left 0.35s ease-in-out;
}

.audit__content.--asideCollapsed {
  margin-left: 0;
}

.audit__content.--collapsed {
  grid-template-rows: max-content 1.5981rem max-content 1.8281rem 300px max-content 1.1563rem max-content;
  grid-template-columns: 1fr 1fr;

  @media only screen and (max-width: 1380px) {
    grid-template-rows: max-content 1.5981rem max-content 1.8281rem 300px 1.1875rem 300px max-content 1.1563rem max-content;
  }
}

.audit__asideCollapseButton {
  grid-area: collapseAsideButton;
  width: 1.875rem;
  height: 1.875rem;
  background: white;
  border-radius: 50%;
  border: solid 1px $coa-grey-100;
  filter: drop-shadow(0 2px 2px rgba(160, 167, 196, 0.5));
  -webkit-filter: drop-shadow(0 2px 2px rgba(160, 167, 196, 0.5));
  -webkit-border-radius: 50%;
  -moz-border-radius: 50%;
  -ms-border-radius: 50%;
  -o-border-radius: 50%;
  cursor: pointer;
  display: flex;
  justify-content: center;
  align-items: center;
}

.audit__aside__asideCollapseButton {
  display: none;

  @media only screen and (max-width: 1380px) {
    margin-bottom: 1.3325rem;
    display: flex;
  }
}

.audit__content__selectContainer {
  grid-area: selector;
  display: flex;
  flex-direction: column;
  row-gap: 0.4688rem;
  width: 523px;
  z-index: 12;

  @media only screen and (max-width: 1380px) {
    width: 100%;
  }
}

.audit__content__selectContainer__label {
  color: $coa-medium-gray;
  font-size: 14px;
  font-style: normal;
  font-weight: 500;
  line-height: normal;
}

.audit__content__collapseCodeButtonContainer {
  grid-area: collapseCodeButton;
  justify-self: center;
}

.audit__codeDisplay.--versionToAudit {
  grid-area: versionToAudit;

  .c-line-del {
    background-color: transparent;
    font-size: 0;
    display: none;
  }
}

.audit__codeDisplay.--previousVersion {
  grid-area: previousVersion;

  .c-line-add {
    background-color: transparent;
    font-size: 0;
    display: none;
  }
}

.audit__codeDisplay {
  display: flex;
  flex-direction: column;
  row-gap: 0.875rem;
  overflow: hidden;
}

.audit__codeDisplay__titleContainer {
  color: $coa-medium-gray;
  font-size: 14px;
  font-style: normal;
  font-weight: 500;
  line-height: normal;
  display: flex;
  align-items: center;
  column-gap: 0.4rem;
  flex-direction: row;
  row-gap: 0.3rem;

  @media only screen and (max-width: 900px) {
    flex-direction: column;
    align-items: flex-start;
  }
}

.audit__codeDisplay__title {
  font-size: 0.875rem;
  font-weight: 500;
  line-height: 19px;
  font-style: normal;
  color: $coa-medium-gray;
}

.audit__codeDisplay__title.--date {
  font-weight: 300;
  line-height: normal;
}

.audit__codeDisplay__titleContainer__loading {
  animation: skeleton-loading 1s linear infinite alternate;
  -webkit-animation: skeleton-loading 1s linear infinite alternate;
  display: block;
  width: 50px;
  height: 20px;
  min-width: 6.8125rem;
}

.audit__codeDisplay__titleContainer__divider {
  background: $coa-medium-gray;
  height: 100%;
  margin-inline: 0.5rem;
  display: block;

  @media only screen and (max-width: 1380px) {
    display: none;
  }
}

@keyframes skeleton-loading {
  0% {
    background-color: hsl(200, 20%, 80%);
  }

  100% {
    background-color: hsl(200, 20%, 95%);
  }
}

.audit__codeDisplay__code {
  white-space: pre-wrap;
  background: #f3f3f3;
  padding: 14px 27px;
  border-radius: 4px;
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  -ms-border-radius: 4px;
  -o-border-radius: 4px;
  flex: 1;
  overflow: hidden;
  margin: 0;
  position: relative;
  min-height: 250px;

  @media only screen and (max-width: 1380px) {
    word-wrap: break-word;
  }
}

.audit__codeDisplay__loadingContainer {
  animation: skeleton-loading 1s linear infinite alternate;
  -webkit-animation: skeleton-loading 1s linear infinite alternate;
  display: block;
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  z-index: 10;
}

.audit__codeDisplay__code.--empty {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  row-gap: 1.5rem;
}

.audit__codeDisplay__code.--loading {
  display: flex;
  justify-content: center;
  align-items: center;
  opacity: 0.5;
  animation: skeleton-loading 1s linear infinite alternate;
  -webkit-animation: skeleton-loading 1s linear infinite alternate;
}

.audit__emptyContentContainer {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  row-gap: 1.5rem;
  height: 100%;
}

.audit__emptyContentContainer__text {
  color: $coa-light-grey-100;
  text-align: right;
  font-size: 0.875rem;
  font-style: normal;
  font-weight: 600;
  line-height: normal;
}

.audit__content__codeDisplaysContainer {
  display: flex;
  height: 220px;
}

.audit__content__codeVersions {
  display: flex;
  column-gap: 24px;
  height: 220px;
  max-height: 220px;
  overflow: hidden;
  position: relative;
}

.audit__content__codeVersions.--notCollapsed {
  max-height: none;
  height: fit-content;
}

.audit__collapseButton {
  background: $coa-white-100;
  bottom: 0;
  cursor: pointer;
  padding-block: 17.5px;
  color: $coa-medium-gray;
  font-size: 14px;
  font-style: normal;
  font-weight: 500;
  line-height: normal;
  display: flex;
  align-items: center;
  justify-content: center;
}

.audit__content__mergedVersion {
  grid-area: mergedVersion;
  display: flex;
  flex-direction: column;
  row-gap: 0.6875rem;
}

.audit__content__mergedVersion.--empty {
  height: 21.875rem;
  background: #f3f3f3;
  border-radius: 4px;
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  -ms-border-radius: 4px;
  -o-border-radius: 4px;
}
